Page MenuHomePhabricator

meson: don't add / after DESTDIR in install scripts
ClosedPublic

Authored by zmike on Apr 26 2019, 6:16 AM.

Details

Summary

this breaks windows usage and is unnecessary since the filename begins
with /
Depends on D8722

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Apr 26 2019, 6:16 AM
zmike requested review of this revision.Apr 26 2019, 6:16 AM

Is there some sort of assertion somewhere to ensure that ?

I guess you could check in the shell script if you wanted to, but this is definitely the case.

bu5hm4n accepted this revision.Apr 30 2019, 11:57 AM

I am a bit scared that on some exotic system this is not the case, and then everything explodes...

This revision is now accepted and ready to land.Apr 30 2019, 11:57 AM

This is the exotic system and it explodes because the / is added.

Closed by commit rEFLfc831ede97c5: meson: don't add / after DESTDIR in install scripts (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyMay 6 2019, 8:01 AM
This revision was automatically updated to reflect the committed changes.